#
# Cookbook Name:: sqlserver
# Recipe:: default
#
# Copyright (C) 2016 YadaYadaSoftware.com
#
# All rights reserved - Do Not Redistribute
#
include_recipe 'ms_dotnet35'
include_recipe 'ec2helper'
include_recipe 'mssqlserver::mount'

sentinel_file = "C:/Program Files/Microsoft SQL Server/MSSQL12.#{node[:sqlserver][:INSTANCENAME]}/MSSQL/Binn/sqlservr.exe"


execute 'Install SQL' do
	timeout 7200
	command lazy {"#{node[:ec2helper][:iso][:mount][:drive_letter]}:/setup.exe /q /SQLSYSADMINACCOUNTS=#{node[:sqlserver][:SQLSYSADMINACCOUNTS]} /ACTION=Install /FEATURES=#{node[:sqlserver][:FEATURES]} /INSTANCENAME=#{node[:sqlserver][:INSTANCENAME]} /IAcceptSQLServerLicenseTerms=#{node[:sqlserver][:IAcceptSQLServerLicenseTerms]} /SQLSVCACCOUNT=\"#{node[:sqlserver][:SQLSVCACCOUNT]}\" /AGTSVCACCOUNT=\"#{node[:sqlserver][:AGTSVCACCOUNT]}\" /INDICATEPROGRESS /UpdateEnabled=False /SECURITYMODE=#{node[:sqlserver][:SECURITYMODE]} /SAPWD=#{node[:sqlserver][:SAPWD]} /TCPENABLED=#{node[:sqlserver][:TCPENABLED]} /ADDCURRENTUSERASSQLADMIN=#{node[:sqlserver][:ADDCURRENTUSERASSQLADMIN]} /INSTALLSQLDATADIR=#{node[:sqlserver][:INSTALLSQLDATADIR]} /SQLUSERDBLOGDIR=#{node[:sqlserver][:SQLUSERDBLOGDIR]} /SQLBACKUPDIR=#{node[:sqlserver][:SQLBACKUPDIR]}"}
	not_if { File.exist?("#{sentinel_file}") }
	notifies :request_reboot, "reboot[Install_SQL_Reboot]"
end

reboot 'Install_SQL_Reboot' do
  action :nothing
  reason 'Need to reboot when the run completes successfully.'
end