#
# Cookbook Name:: sqlserver
# Recipe:: default
#
# Copyright (C) 2016 YadaYadaSoftware.com
#
# All rights reserved - Do Not Redistribute
#
include_recipe 'ms_dotnet35'
include_recipe 'ec2helper'
include_recipe 'mssqlserver::mount'

configurationFile = "#{Chef::Config[:cache_path]}/prepare.ini"

template "#{configurationFile}" do
  source 'prepare.ini'
end


sentinel_file = "C:/Program Files/Microsoft SQL Server/MSSQL12.#{node[:sqlserver][:INSTANCENAME]}/MSSQL/Binn/sqlservr.exe"

execute 'Install SQL' do
	timeout 7200
	command lazy {"#{node[:ec2helper][:iso][:mount][:drive_letter]}:/setup.exe /q /IAcceptSQLServerLicenseTerms=#{node[:sqlserver][:IAcceptSQLServerLicenseTerms]} /ConfigurationFile=#{configurationFile}"}
	not_if { File.exist?("#{sentinel_file}") }
end
